﻿using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;

namespace HeuristicLab.EvolutionTracking.Views {
  [View("GenealogyGraphView")]
  [Content(typeof(GenealogyGraph), IsDefaultView = false)]
  public sealed partial class GenealogyGraphView : ItemView {
    public new IGenealogyGraph Content {
      get { return (IGenealogyGraph)base.Content; }
      set { base.Content = value; }
    }

    public GenealogyGraphView() {
      InitializeComponent();
    }

    protected override void DeregisterContentEvents() {
      // TODO: Deregister your event handlers here
      base.DeregisterContentEvents();
    }

    protected override void RegisterContentEvents() {
      base.RegisterContentEvents();
      // TODO: Register your event handlers here
    }

    #region Event Handlers (Content)
    // TODO: Put event handlers of the content here
    #endregion

    protected override void OnContentChanged() {
      base.OnContentChanged();
      if (Content == null) {
      } else {
        genealogyGraphChart.GenealogyGraph = Content;
      }
    }

    protected override void SetEnabledStateOfControls() {
      base.SetEnabledStateOfControls();
      // TODO: Enable or disable controls based on whether the content is null or the view is set readonly
    }

    #region Event Handlers (child controls)
    // TODO: Put event handlers of child controls here.
    #endregion
  }
}
